vmware-server-1.0.10?

15/12/2009 - 19:13 von Ulli Horlacher | Report spam
Ich versuche grad vmware-server-1.0.10 auf SLES 11 zu installieren und
komme bis:

vms1:/tmp# vmware-config.pl
(...)
make: Entering directory `/tmp/vmware-config2/vmmon-only'
make -C /lib/modules/2.6.27.39-0.3-default/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.27.39-0.3-obj/x86_64/default'
make -C ../../../linux-2.6.27.39-0.3 O=/usr/src/linux-2.6.27.39-0.3-obj/x86_64/default/. modules
CC [M] /tmp/vmware-config2/vmmon-only/linux/driver.o
In file included from /tmp/vmware-config2/vmmon-only/./include/x86.h:20,
from /tmp/vmware-config2/vmmon-only/./include/machine.h:24,
from /tmp/vmware-config2/vmmon-only/linux/driver.h:15,
from /tmp/vmware-config2/vmmon-only/linux/driver.c:49:
/tmp/vmware-config2/vmmon-only/./include/x86apic.h:79:1: warning: "APIC_BASE_MSR" redefined
In file included from include2/asm/numa_64.h:5,
from include2/asm/numa.h:4,
from include2/asm/acpi.h:28,
from include2/asm/fixmap_64.h:15,
from include2/asm/fixmap.h:7,
from include2/asm/apic.h:9,
from include2/asm/smp.h:13,
from /usr/src/linux-2.6.27.39-0.3/include/linux/smp.h:28,
from /usr/src/linux-2.6.27.39-0.3/include/linux/topology.h:33,
from /usr/src/linux-2.6.27.39-0.3/include/linux/mmzone.h:687,
from /usr/src/linux-2.6.27.39-0.3/include/linux/gfp.h:4,
from /usr/src/linux-2.6.27.39-0.3/include/linux/kmod.h:22,
from /usr/src/linux-2.6.27.39-0.3/include/linux/module.h:13,
from /tmp/vmware-config2/vmmon-only/linux/driver.c:12:
include2/asm/apicdef.h:134:1: warning: this is the location of the previous definition
In file included from /tmp/vmware-config2/vmmon-only/./include/machine.h:24,
from /tmp/vmware-config2/vmmon-only/linux/driver.h:15,
from /tmp/vmware-config2/vmmon-only/linux/driver.c:49:
/tmp/vmware-config2/vmmon-only/./include/x86.h:830:1: warning: "PTE_PFN_MASK" redefined
In file included from include2/asm/pda.h:8,
from include2/asm/current.h:19,
from include2/asm/processor.h:15,
from /usr/src/linux-2.6.27.39-0.3/include/linux/prefetch.h:14,
from /usr/src/linux-2.6.27.39-0.3/include/linux/list.h:6,
from /usr/src/linux-2.6.27.39-0.3/include/linux/module.h:9,
from /tmp/vmware-config2/vmmon-only/linux/driver.c:12:
include2/asm/page.h:22:1: warning: this is the location of the previous definition
In file included from /tmp/vmware-config2/vmmon-only/linux/vmhost.h:13,
from /tmp/vmware-config2/vmmon-only/linux/driver.c:71:
/tmp/vmware-config2/vmmon-only/./include/compat_semaphore.h:5:27: error: asm/semaphore.h: No such file or directory
/tmp/vmware-config2/vmmon-only/linux/driver.c:146: error: unknown field 'nopage' specified in initializer
/tmp/vmware-config2/vmmon-only/linux/driver.c:147: warning: initialization from incompatible pointer type
/tmp/vmware-config2/vmmon-only/linux/driver.c:150: error: unknown field 'nopage' specified in initializer
/tmp/vmware-config2/vmmon-only/linux/driver.c:151: warning: initialization from incompatible pointer type
/tmp/vmware-config2/vmmon-only/linux/driver.c: In function 'LinuxDriver_Ioctl':
/tmp/vmware-config2/vmmon-only/linux/driver.c:1670: error: too many arguments to function 'smp_call_function'
make[4]: *** [/tmp/vmware-config2/vmmon-only/linux/driver.o] Error 1
make[3]: *** [_module_/tmp/vmware-config2/vmmon-only] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.27.39-0.3-obj/x86_64/default'
make: *** [vmmon.ko] Error 2
make: Leaving directory `/tmp/vmware-config2/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modu...html" and
"http://www.vmware.com/support/refer...tml".

Execution aborted.


Hat das schon jemand hingekriegt?

Auf den vmware-Webseiten habe ich leider nichts dazu gefunden.


Ullrich Horlacher Informationssysteme und Serverbetrieb
Rechenzentrum E-Mail: horlacher@rus.uni-stuttgart.de
Universitaet Stuttgart Tel: ++49-711-685-65868
Allmandring 30 Fax: ++49-711-682357
70550 Stuttgart (Germany) WWW: http://www.rus.uni-stuttgart.de/
 

Lesen sie die antworten

#1 Guenther Schwarz
15/12/2009 - 19:26 | Warnen spam
Ulli Horlacher wrote:
Ich versuche grad vmware-server-1.0.10 auf SLES 11 zu installieren und
komme bis:

Auf den vmware-Webseiten habe ich leider nichts dazu gefunden.



Hm, ich finde da den Hinweis, daß VMware Server 1.0 auf SLES 10 SP1
làuft. Von SLES 11 steht da nix...
http://www.vmware.com/support/serve...erver.html
Wenn ich das richtig sehe, versucht das Script ein Kernelmodul zu
kompilieren. Die Kernelversion sollte hier schon einen entscheidenden
Unterschied machen. Muß es SLES 11 sein?

Günther

Ähnliche fragen